[ Tklib Home | Main Table Of Contents | Table Of Contents | Keyword Index | Categories | Modules | Applications ]

# widget(n) 3.0 tklib "Various megawidgets"

## Name

widget - Megawidget bundle

## Synopsis

- package require Tcl 8.4
- package require Tk 8.4
- package require widget ?3.0?
- package require snit

- widget::validate as ?options?
- widget::calendar pathname ?options?
- widget::dateentry pathname ?options?
- widget::dialog pathname ?options?
- widget::menuentry pathname ?options?
- widget::panelframe pathname ?options?
- widget::ruler pathname ?options?
- widget::screenruler pathname ?options?
- widget::scrolledwindow pathname ?options?
- widget::statusbar pathname ?options?
- widget::superframe pathname ?options?
- widget::toolbar pathname ?options?

## Description

This package provides megawidgets based on the snit oo system (snidgets). It makes use of the Tile/Ttk themed widget set.

widget::validate as ?options?

  commands:

## WIDGETS

widget::calendar pathname ?options?

  options:

widget::dateentry pathname ?options?

  options:

widget::dialog pathname ?options?

  options:

widget::menuentry pathname ?options?

  options:

widget::panelframe pathname ?options?

  options:

widget::ruler pathname ?options?

  options:

widget::screenruler pathname ?options?

  options:

widget::scrolledwindow pathname ?options?

  options:

widget::statusbar pathname ?options?

  options:

widget::superframe pathname ?options?

  options:

widget::toolbar pathname ?options?

  options:

## EXAMPLE

    package require widget::superframe ; # or widget::all
    pack [widget::superframe .f -type separator -text "SuperFrame:"]

## Bugs, Ideas, Feedback

This document, and the package it describes, will undoubtedly contain bugs and other problems. Please report such in the category widget of the Tklib Trackers. Please also report any ideas for enhancements you may have for either package and/or documentation.

## Keywords

bundle, calendar, dateentry, dialog, megawidget, menu, panelframe, ruler, screenruler, scrolledwindow, snit, statusbar, superframe, toolbar, widget

## Category

Widget